SourceForge has been redesigned. Learn more.
Close

#27 MSVC compilation error

build problems
closed-fixed
clisp (524)
5
2001-04-06
2001-03-29
No

I get an error during compilation with msvc.
In the makefile I have set:
CFLAGS = -DNO_UNICODE -DEXPORT_SYSCALLS -DDIR_KEY
-DDYNAMIC_FFI -DNO_GETTEXT

The error messages are here:

Microsoft (R) Program Maintenance-Dienstprogramm:
Version 1.62.7022
Copyright (C) Microsoft Corp 1988-1997. Alle Rechte
vorbehalten.

d:/Programme/DevStudio/VC/include/stddef.h:89: warning:
offsetof redefined
d:/Programme/DevStudio/VC/include/stdio.h:209: warning:
SEEK_CUR redefined
d:/Programme/DevStudio/VC/include/stdio.h:210: warning:
SEEK_END redefined
d:/Programme/DevStudio/VC/include/stdio.h:211: warning:
SEEK_SET redefined
Optimierender Microsoft (R) 32-Bit C/C++-Compiler,
Version 11.00.7022, fuer x86
Copyright (C) Microsoft Corp 1984-1997. Alle Rechte
vorbehalten.

NMAKE : fatal error U1077: 'cl' : Rueckgabe-Code '0x2'
Stop.
===

The output of "nmake" is this:

..\utils\gcc-cccp\cccp -U__GNUC__ -+ -D_MSC_VER=1100
-D_M_IX86=500 -D_WIN32 -D_INTEGRAL_MAX_BITS=64
-DDEBUG_OS_ERROR -I"d:/Programme/DevStudio/VC"/include
-DNO_UNICODE -DEXPORT_SYSCALLS -DDIR_KEY -DDYNAMIC_FFI
-DNO_GETTEXT spvw.c > spvw.i.c
cl -G5 -Os -Oy -Ob1 -Gs -Gf -Gy -DNO_UNICODE
-DEXPORT_SYSCALLS -DDIR_KEY -DDYNAMIC_FFI -DNO_GETTEXT
-c spvw.i.c
spvw.i.c
lispbibl.d(6990) : warning C4116: Unbenannte
Typdefinition in runden Klammern
lispbibl.d(6990) : warning C4116: Unbenannte
Typdefinition in runden Klammern
lispbibl.d(6990) : warning C4116: Unbenannte
Typdefinition in runden Klammern
lispbibl.d(6990) : warning C4116: Unbenannte
Typdefinition in runden Klammern
lispbibl.d(8144) : error C2059: Syntaxfehler : '}'
spvw.d(60) : error C2065: 'pseudodata_tab' :
nichtdeklarierter Bezeichner
spvw.d(1006) : warning C4116: Unbenannte Typdefinition
in runden Klammern
spvw.d(1304) : warning C4116: Unbenannte Typdefinition
in runden Klammern
spvw.d(1304) : warning C4116: Unbenannte Typdefinition
in runden Klammern
spvw.d(1304) : warning C4116: Unbenannte Typdefinition
in runden Klammern
spvw.d(1304) : warning C4116: Unbenannte Typdefinition
in runden Klammern
===

When I change -DNO_UNICODE to -DUNICODE, I get a
different error in some other place:

stderr:

Microsoft (R) Program Maintenance-Dienstprogramm:
Version 1.62.7022
Copyright (C) Microsoft Corp 1988-1997. Alle Rechte
vorbehalten.

d:/Programme/DevStudio/VC/include/stddef.h:89: warning:
offsetof redefined
Optimierender Microsoft (R) 32-Bit C/C++-Compiler,
Version 11.00.7022, fuer x86
Copyright (C) Microsoft Corp 1984-1997. Alle Rechte
vorbehalten.

NMAKE : fatal error U1077: 'cl' : Rueckgabe-Code '0x2'
Stop.
===

stdout:

..\utils\gcc-cccp\cccp -U__GNUC__ -+ -D_MSC_VER=1100
-D_M_IX86=500 -D_WIN32 -D_INTEGRAL_MAX_BITS=64
-DDEBUG_OS_ERROR -I"d:/Programme/DevStudio/VC"/include
-DUNICODE -DEXPORT_SYSCALLS -DDIR_KEY -DDYNAMIC_FFI
-DNO_GETTEXT eval.c > eval.i.c
cl -G5 -Os -Oy -Ob1 -Gs -Gf -Gy -DUNICODE
-DEXPORT_SYSCALLS -DDIR_KEY -DDYNAMIC_FFI -DNO_GETTEXT
-c eval.i.c
eval.i.c
lispbibl.d(6990) : warning C4116: Unbenannte
Typdefinition in runden Klammern
lispbibl.d(6990) : warning C4116: Unbenannte
Typdefinition in runden Klammern
lispbibl.d(6990) : warning C4116: Unbenannte
Typdefinition in runden Klammern
lispbibl.d(6990) : warning C4116: Unbenannte
Typdefinition in runden Klammern
eval.d(396) : fatal error C1001: INTERNER COMPILER-
FEHLER
(Compiler-Datei '.\trees.c', Zeile 6256)
Bitte klicken Sie im Menue '?' von Visual C++ auf
'Software Service',
oder oeffnen Sie die Hilfedatei fuer den Software
Service, um weitere Informationen zu erhalten.
===
meaning: internal compiler error.

Discussion

  • Sam Steingold

    Sam Steingold - 2001-03-29

    Logged In: YES
    user_id=5735

    internal compiler error is, of course, microsoft's problem.
    the following patchs makes CLISP compile for me with
    -DNO_UNICODE.
    Bruno, what do you say?

    --- pseudofun.d.~1.36.~ Mon Jan 24 08:19:10 2000
    +++ pseudofun.d Thu Mar 29 13:41:41 2001
    @@ -200,5 +200,7 @@
    XPSEUDOCODE(void, iconv_wcstombs, (object encoding, object
    stream, const chart* *srcp, const chart* srcend, uintB*
    *destp, uintB* destend))
    XPSEUDOCODE(object, iconv_range, (object encoding, uintL
    start, uintL end))
    #endif
    +#else /* no UNICODE */
    +XPSEUDODATA(struct nls_table, nls_ascii_table)
    #endif
    --- encoding.d.~1.44.~ Mon Feb 5 16:43:34 2001
    +++ encoding.d Thu Mar 29 13:55:39 2001
    @@ -1395,6 +1395,55 @@
    #endif

    #
    -----------------------------------------------------------------------------
    +#else
    +
    +typedef struct nls_table {
    + const char* charset;
    + const unsigned char* const* page_uni2charset;
    + const unsigned short* charset2uni;
    + int is_ascii_extension;
    +};
    +
    +static const unsigned char nopage[256] = {
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0x00-0x07 */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0x08-0x0f */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0x10-0x17 */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0x18-0x1f */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0x20-0x27 */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0x28-0x2f */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0x30-0x37 */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0x38-0x3f */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0x40-0x47 */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0x48-0x4f */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0x50-0x57 */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0x58-0x5f */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0x60-0x67 */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0x68-0x6f */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0x70-0x77 */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0x78-0x7f */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0x80-0x87 */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0x88-0x8f */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0x90-0x97 */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0x98-0x9f */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0xa0-0xa7 */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0xa8-0xaf */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0xb0-0xb7 */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0xb8-0xbf */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0xc0-0xc7 */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0xc8-0xcf */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0xd0-0xd7 */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0xd8-0xdf */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0xe0-0xe7 */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0xe8-0xef */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, /*
    0xf0-0xf7 */
    + 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 /*
    0xf8-0xff */
    +};
    +
    +#include "nls_ascii.c"
    +
    +static const struct nls_table * const nls_tables[] = {
    + &nls_ascii_table,
    +};

    #endif # UNICODE

     
  • Sam Steingold

    Sam Steingold - 2001-03-29
    • assigned_to: sds --> haible
     
  • Sam Steingold

    Sam Steingold - 2001-03-29
    • milestone: --> build problems
     
  • Bruno Haible

    Bruno Haible - 2001-03-30
    • assigned_to: haible --> nobody
     
  • Sam Steingold

    Sam Steingold - 2001-04-06
    • assigned_to: nobody --> sds
    • status: open --> closed-fixed
     
  • Sam Steingold

    Sam Steingold - 2001-04-06

    Logged In: YES
    user_id=5735

    fixed in 2.25.1

     

Log in to post a comment.